# Get cart by cart ID

Returns user’s cart by cart ID.

Endpoint: GET /v2/project/{project_id}/cart/{cart_id}
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    Project ID.
    Example: 44056

  - `cart_id` (string, required)
    Cart ID.
    Example: "custom_id"

## Query parameters:

  - `currency` (string)
    The currency which prices are displayed in, (USD  by default). Three-letter currency code per ISO 4217.

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1.

## Response 200 fields (application/json):

  - `cart_id` (string)
    Cart ID.
    Example: "cart_id"

  - `price` (object,null)
    Cart price.
    Example: "{\"amount\":\"6150.0000000000000000\",\"amount_without_discount\":\"6150.0000000000000000\",\"currency\":\"USD\"}"

  - `price.amount` (string)

  - `price.amount_without_discount` (string)

  - `price.currency` (string)

  - `is_free` (boolean)
    If true, the cart is free.

  - `items` (array)
    Example: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]

  - `items.sku` (string)

  - `items.groups` (array)

  - `items.groups.external_id` (string)

  - `items.groups.name` (string)

  - `items.name` (string,null)

  - `items.attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.
    Example: {"value":{"external_id":"genre","name":"Жанр","values":[{"external_id":"genre_e3364991f92e751689a68b96598a5a5a84010b85","value":"Casual"},{"external_id":"genre_eba07bfd0f982940773cba3744d97264dd58acd7","value":"Strategy"},{"external_id":"genre_b8d0c6d8f0524c2b2d79ebb93aa3cd0e8b5199a8","value":"Mobile"}]}}

  - `items.attributes.external_id` (string)
    Unique attribute ID. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_1"

  - `items.attributes.name` (string)
    Name of attribute.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

  - `items.type` (string)

  - `items.description` (string)

  - `items.image_url` (string)

  - `items.quantity` (integer)

  - `items.is_free` (boolean)


